Package org.drinkless.tdlib

# Class TdApi.AffiliateTypeChannel

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AffiliateType
org.drinkless.tdlib.TdApi.AffiliateTypeChannel

Enclosing class:
  `TdApi`

public static class TdApi.AffiliateTypeChannel extends TdApi.AffiliateType
The affiliate is a channel chat where the current user has canPostMessages administrator right.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.AffiliateType

  `TdApi.AffiliateType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the channel chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AffiliateTypeChannel()`
  The affiliate is a channel chat where the current user has canPostMessages administrator right.
  `AffiliateTypeChannel(long chatId)`
  The affiliate is a channel chat where the current user has canPostMessages administrator right.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the channel chat.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AffiliateTypeChannel

    public AffiliateTypeChannel()
    The affiliate is a channel chat where the current user has canPostMessages administrator right.

  - ### AffiliateTypeChannel

    public AffiliateTypeChannel(long chatId)
    The affiliate is a channel chat where the current user has canPostMessages administrator right.
    Parameters:
      `chatId` - Identifier of the channel chat.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.AffiliateType`
    Returns:
      this.CONSTRUCTOR